SolrDisMaxQuery::setTrigramPhraseFields
SolrDisMaxQuery::setUserFields
SolrDisMaxQuery
PHP Manual

# SolrDisMaxQuery::setTrigramPhraseSlop

(No version information available, might only be in Git)

SolrDisMaxQuery::setTrigramPhraseSlop — Sets Trigram Phrase Slop (ps3 parameter)

### Description

public SolrDisMaxQuery SolrDisMaxQuery::setTrigramPhraseSlop ( string `$slop` )

Sets Trigram Phrase Slop (ps3 parameter)

### Parameters

`slop`

  Phrase slop

### Return Values

SolrDisMaxQuery

### Examples

Example #1 SolrDisMaxQuery::setTrigramPhraseSlop() example

`<?php
$dismaxQuery = new SolrDisMaxQuery('lucene');
$dismaxQuery->setTrigramPhraseSlop(2);
echo $dismaxQuery.PHP_EOL;
?>`

The above example will output something similar to:

    q=lucene&defType=edismax&ps3=2

### See Also

- SolrDisMaxQuery::addTrigramPhraseField() - Adds a Trigram Phrase Field (pf3 parameter)
- SolrDisMaxQuery::removeTrigramPhraseField() - Removes a Trigram Phrase Field (pf3 parameter)
- SolrDisMaxQuery::setTrigramPhraseFields() - Directly Sets Trigram Phrase Fields (pf3 parameter)

SolrDisMaxQuery::setTrigramPhraseFields
SolrDisMaxQuery::setUserFields
SolrDisMaxQuery
PHP Manual